cancel
Showing results for 
Search instead for 
Did you mean: 

Order of Hotfix Installation after ePO Upgrade (4.6.8 to 5.1.1).

Hello fellow ePO wizards!

I'm attempting to uprade my current ePO from version 4.6.8 (Build 112) to the most current version on the 5.x baseline.  I'm seeing as many as six hotfixes that have been released after version 5.x was released to the world.  Could somebody be so kind and tell me in what order do these hotfixes need to be applied?  I have the hotfixes downloaded, but just need to know in what order do they need to be installed.  Also, is version 5.3.0 the latest and greatest?

I've attached a listing of the hotfixes I've downloaded.

Any help/advice/suggestions would be greatly appreciated!

3 Replies
brentil
Level 12
Report Inappropriate Content
Message 2 of 4

Re: Order of Hotfix Installation after ePO Upgrade (4.6.8 to 5.1.1).

It looks like you're in the DISA Patch repo which is the latest baseline but not the latest versions.  I personally just upgraded our HBSS from 4.6.9 -> 5.1.3 which is the latest DISA supported.  There is a newer 5.3.1 but there are no STIGS for it.  You can get the latest 5.1.3 from the MIL Forge website.

https://software.forge.mil/sf/projects/hbssearlyrelease

Highlighted

Re: Order of Hotfix Installation after ePO Upgrade (4.6.8 to 5.1.1).

Hi brentil,

Did you just do a straightforward upgrade from 4.6.9 to 5.1.3?  Any pre-requisites to follow before I upgrade my 4.6.8 to 5.1.3?

brentil
Level 12
Report Inappropriate Content
Message 4 of 4

Re: Order of Hotfix Installation after ePO Upgrade (4.6.8 to 5.1.1).

I would read over the ePO Upgrade Guide document you showed in the list of fixes above.

There were two issues.

The biggest issue is DB size.  The installer complains about your system being too large since we have to store so much data.  For where I'm at I only need 365 days of active data so when you run the installer if references a KB article on how to remove old data so I did that but instead of the 30 days the KB references to 1 year.  If you've never done this before it can take hours to run.

The second issue is some of the plugins in HBSS do not support ePO 5.x so you need to go through the list of what needs to be updated.  Some of them like OAM, APS, and HCEE you have to actually wait until after upgrading to ePO 5.x to install.

I highly recommend doing this on a backup of your HBSS system first because since our environments are so specific anything could go wrong.

More McAfee Tools to Help You
  • How-to: Endpoint Removal Tool
  • Support: Endpoint Security
  • Visit: Business Service Portal
  • More: Search Knowledge Articles
  • ePolicy Orchestrator Support

    • Download the new ePolicy Orchestrator (ePO) Support Center Extension which simplifies ePO management and provides support resources directly in the console. Learn more about ePO Support Center